Subject: Re: [PATCH v3 6/8] fast-import: document C-style escapes for paths

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 11 Apr 2024 11:14:26 +0200

On Wed, Apr 10, 2024 at 10:32:06PM -0700, Junio C Hamano wrote:
> Thalia Archibald <[email-masked]> writes:
> 
> > I expected more pushback with 3/8, where 9 tests were indented to place
> > them inside loops in order to test them with multiple values for root,
> > so it seems not to be purely about whitespace changes in diffs.
> 
> Well, if I read it, I may have (or not have) comments on the step,
> but because Patrick started from front, I was reading backwards from
> the end of the series, and I didn't reach 3/8 ;-)

I wasn't all that happy with that conversion indeed. But I also couldn't
really think of a nicer way to handle this. While we could've just not
reindented the tests at all, I kind of doubt that this would be the
wisest decisions.

So I just didn't complain :)

Patrick